VERSION 5.00
Begin VB.Form frmFindReplace 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Find & Replace"
   ClientHeight    =   2025
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   5040
   ControlBox      =   0   'False
   Icon            =   "frmFindReplace.frx":0000
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2025
   ScaleWidth      =   5040
   StartUpPosition =   3  'Windows Default
   Begin VB.CheckBox chkWholeWord 
      Caption         =   "Find &whole word only"
      Height          =   285
      Left            =   1350
      TabIndex        =   9
      Top             =   1290
      Width           =   2115
   End
   Begin VB.CheckBox chkMatchCase 
      Caption         =   "&Match case"
      CausesValidation=   0   'False
      Height          =   270
      Left            =   1350
      TabIndex        =   8
      Top             =   960
      Width           =   2115
   End
   Begin VB.CommandButton cmdClose 
      Cancel          =   -1  'True
      Caption         =   "&Close"
      BeginProperty Font 
         Name            =   "Tahoma"
         Size            =   8.25
         Charset         =   204
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   3720
      TabIndex        =   5
      Top             =   1605
      Width           =   1215
   End
   Begin VB.TextBox txtFindWhat 
      BeginProperty Font 
         Name            =   "Tahoma"
         Size            =   8.25
         Charset         =   204
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   285
      Left            =   1320
      TabIndex        =   4
      Top             =   210
      Width           =   3615
   End
   Begin VB.TextBox txtReplace 
      BeginProperty Font 
         Name            =   "Tahoma"
         Size            =   8.25
         Charset         =   204
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   285
      Left            =   1320
      TabIndex        =   3
      Top             =   600
      Width           =   3615
   End
   Begin VB.CommandButton cmdReplaceAll 
      Caption         =   "Replace &All"
      BeginProperty Font 
         Name            =   "Tahoma"
         Size            =   8.25
         Charset         =   204
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   2520
      TabIndex        =   2
      Top             =   1605
      Width           =   1215
   End
   Begin VB.CommandButton cmdReplace 
      Caption         =   "&Replace"
      BeginProperty Font 
         Name            =   "Tahoma"
         Size            =   8.25
         Charset         =   204
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   1320
      TabIndex        =   1
      Top             =   1605
      Width           =   1215
   End
   Begin VB.CommandButton cmdFindNext 
      Caption         =   "&Find Next"
      Default         =   -1  'True
      BeginProperty Font 
         Name            =   "Tahoma"
         Size            =   8.25
         Charset         =   204
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   120
      TabIndex        =   0
      Top             =   1605
      Width           =   1215
   End
   Begin VB.Label lblReplace 
      Caption         =   "Replace with:"
      BeginProperty Font 
         Name            =   "Tahoma"
         Size            =   8.25
         Charset         =   204
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   105
      TabIndex        =   7
      Top             =   630
      Width           =   1095
   End
   Begin VB.Label lblFindWhat 
      Caption         =   "Find what:"
      BeginProperty Font 
         Name            =   "Tahoma"
         Size            =   8.25
         Charset         =   204
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   120
      TabIndex        =   6
      Top             =   225
      Width           =   1095
   End
End
Attribute VB_Name = "frmFindReplace"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Public nachalo_videleniya_a
Public dlina_videlenya_a

Private Sub cmdClose_Click()
    txtFindWhat.SetFocus
    Me.Hide
End Sub

Private Sub cmdFindNext_Click()

    Dim whole_word As Integer, match_case As Integer, search_options As Integer
    
    If chkMatchCase Then match_case = rtfMatchCase
    If chkWholeWord Then whole_word = rtfWholeWord
    
    search_options = match_case + whole_word
    
    temp_var = nachalo_videleniya_a + dlina_videlenya_a
    frmMain.txtMain.Find txtFindWhat, temp_var, , search_options
    frmMain.SetFocus
    
    nachalo_videleniya_a = frmMain.txtMain.SelStart
    dlina_videlenya_a = frmMain.txtMain.SelLength
    
End Sub

Private Sub cmdReplace_Click()
    If frmMain.txtMain.SelText <> "" Then
        frmMain.txtMain.SelText = txtReplace
    End If
End Sub

Private Sub cmdReplaceAll_Click()
    frmMain.txtMain.Text = Replace(frmMain.txtMain.Text, txtFindWhat, txtReplace, , , vbTextCompare)
End Sub

Private Sub Form_GotFocus()
    txtFindWhat.SetFocus
End Sub

Private Sub Form_Load()

    Call SetWindowPos(Me.hwnd, HWND_TOPMOST, 0, 0, 0, 0, FLAGS)
    
    nachalo_videleniya_a = 0
    dlina_videlenya_a = 0
    
    chkMatchCase = GetSetting(A, S, "Find_MatchCase", 0)
    chkWholeWord = GetSetting(A, S, "Find_WholeWordOnly", 0)
    
End Sub

Private Sub Form_Unload(Cancel As Integer)
    SaveSetting A, S, "Find_WholeWordOnly", chkWholeWord
    SaveSetting A, S, "Find_MatchCase", chkMatchCase
End Sub

Private Sub txtFindWhat_Change()
    nachalo_videleniya_a = 0
    dlina_videlenya_a = 0
End Sub
