Attribute VB_Name = "mdlFileInfo"
Option Explicit

Dim the_text As String
Dim info_collector As String

Function get_file_info(text_to_analyze As String) As String
    
    On Error GoTo erratum
    
    If text_to_analyze = "" Then Exit Function
    If frmMain.CommonDialog1.FileName <> "" Then
    
        AFI ("Last saved: " & FileDateTime(frmMain.CommonDialog1.FileName))
        AFI "File attributes: " & get_file_attr(frmMain.CommonDialog1.FileName)
        
    End If
     
    AFI "File size: " & Len(frmMain.txtMain.text) & " byte(s)"
    AFI "Number of characters including spaces: " & get_num_of_chars(text_to_analyze)
    AFI "Number of characters without spaces: " & get_num_of_chars_without_spaces(text_to_analyze)
        
    get_file_info = info_collector
    info_collector = Empty
    Exit Function
erratum:
    get_file_info = _
        "Error: " & Err.Description & _
        ". Error number is " & Err.Number & _
        ". Please report this bug to a-i@bk.ru"
End Function

Sub AFI(text_to_add As String) ' Add File Info
    info_collector = info_collector & text_to_add & vbCrLf
End Sub

Function get_file_attr(file_name As String) As String
    Dim file_attr As Integer
    
    file_attr = GetAttr(file_name)
    
    If file_attr = 0 Then get_file_attr = "Regular": Exit Function
    
    If file_attr / 32 >= 1 Then get_file_attr = "archive ": file_attr = file_attr - 32
    If file_attr / 4 >= 1 Then get_file_attr = get_file_attr & " system ": file_attr = file_attr - 4
    If file_attr / 2 >= 1 Then get_file_attr = get_file_attr & " hidden ": file_attr = file_attr - 2
    If file_attr / 1 >= 1 Then get_file_attr = get_file_attr & " read-only"
    
    get_file_attr = Replace(get_file_attr, "  ", ", ")
    
End Function

Function get_num_of_chars(str As String)
    str = Replace(str, vbCrLf, "")
    get_num_of_chars = Len(str)
End Function

Function get_num_of_chars_without_spaces(str As String)
    str = Replace(str, vbCrLf, "")
    str = Replace(str, " ", "")
    get_num_of_chars_without_spaces = Len(str)
End Function
