Attribute VB_Name = "mdlUndoRedo"
Public redo_var As String
Public redo_cursor

Sub undo()
    
    frmMain.txtMain.HideSelection = True
    
    redo_var = frmMain.txtMain.Text
    redo_cursor = frmMain.txtMain.SelStart
    
    frmMain.txtMain.Text = frmMain.text_content
    
    If frmMain.cursor_position_for_undo = "" Then frmMain.cursor_position_for_undo = 1
    frmMain.txtMain.SelStart = frmMain.cursor_position_for_undo
    
    frmMain.cmdUndo.Enabled = False
    frmMain.mnuEditUndo.Enabled = False
    
    frmMain.cmdRedo.Enabled = True
    frmMain.mnuEditRedo.Enabled = True
    
    frmMain.txtMain.HideSelection = False
    
End Sub

Sub redo()
    
    frmMain.txtMain.HideSelection = True
    
    frmMain.text_content = frmMain.txtMain.Text
    frmMain.cursor_position_for_undo = frmMain.txtMain.SelStart
    
    frmMain.txtMain.Text = redo_var
    frmMain.txtMain.SelStart = redo_cursor
    
    frmMain.cmdRedo.Enabled = False
    frmMain.mnuEditRedo.Enabled = False
    
    frmMain.cmdUndo.Enabled = True
    frmMain.mnuEditUndo.Enabled = True
    
    frmMain.txtMain.HideSelection = False
    
End Sub

Sub disable_undo_controls()
    frmMain.cmdUndo.Enabled = False
    frmMain.mnuEditUndo.Enabled = False
End Sub
