VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "comdlg32.ocx"
Begin VB.Form frmMain 
   Caption         =   "Optimizer"
   ClientHeight    =   4185
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   2715
   Icon            =   "Form1.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   ScaleHeight     =   4185
   ScaleWidth      =   2715
   StartUpPosition =   3  'Windows Default
   Begin VB.Frame fraMisc 
      Caption         =   "Remove:"
      BeginProperty Font 
         Name            =   "Tahoma"
         Size            =   8.25
         Charset         =   204
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   1170
      Left            =   45
      TabIndex        =   9
      Top             =   2445
      Width           =   2625
      Begin VB.CheckBox chkRemoveLineBreaks 
         Caption         =   "Line Breaks"
         Height          =   255
         Left            =   105
         TabIndex        =   12
         Top             =   240
         Value           =   1  'Checked
         Width           =   2190
      End
      Begin VB.CheckBox chkRemoveSpacesBeetweenTags 
         Caption         =   "Spaces beetween tags"
         Height          =   285
         Left            =   105
         TabIndex        =   11
         Top             =   795
         Value           =   1  'Checked
         Width           =   2430
      End
      Begin VB.CheckBox chkRemoveTwoSpaces 
         Caption         =   "Pair spaces"
         Height          =   285
         Left            =   105
         TabIndex        =   10
         Top             =   510
         Value           =   1  'Checked
         Width           =   2280
      End
   End
   Begin VB.Frame fraOptions 
      Caption         =   "Options"
      BeginProperty Font 
         Name            =   "Tahoma"
         Size            =   8.25
         Charset         =   204
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   2355
      Left            =   45
      TabIndex        =   1
      Top             =   90
      Width           =   2625
      Begin VB.Frame fraSave 
         Caption         =   "Write optimized code:"
         BeginProperty Font 
            Name            =   "Tahoma"
            Size            =   8.25
            Charset         =   204
            Weight          =   700
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   960
         Left            =   60
         TabIndex        =   5
         Top             =   1335
         Width           =   2520
         Begin MSComDlg.CommonDialog cdl 
            Left            =   30
            Top             =   105
            _ExtentX        =   847
            _ExtentY        =   847
            _Version        =   393216
         End
         Begin MSComDlg.CommonDialog cdlSave 
            Left            =   1935
            Top             =   135
            _ExtentX        =   847
            _ExtentY        =   847
            _Version        =   393216
         End
         Begin VB.CommandButton cmdBrowse 
            Caption         =   "..."
            BeginProperty Font 
               Name            =   "Tahoma"
               Size            =   8.25
               Charset         =   204
               Weight          =   700
               Underline       =   0   'False
               Italic          =   0   'False
               Strikethrough   =   0   'False
            EndProperty
            Height          =   285
            Left            =   1980
            TabIndex        =   8
            Top             =   600
            Width           =   375
         End
         Begin VB.OptionButton optNew 
            Caption         =   "To another file"
            Height          =   315
            Left            =   120
            TabIndex        =   7
            Top             =   600
            Width           =   1605
         End
         Begin VB.OptionButton optTheSame 
            Caption         =   "To the same file"
            Height          =   315
            Left            =   120
            TabIndex        =   6
            Top             =   240
            Width           =   2280
         End
      End
      Begin VB.Frame fraIIO 
         Caption         =   "Instead of line breaks:"
         BeginProperty Font 
            Name            =   "Tahoma"
            Size            =   8.25
            Charset         =   204
            Weight          =   700
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   1050
         Left            =   60
         TabIndex        =   2
         Top             =   270
         Width           =   2520
         Begin VB.OptionButton optNone 
            Caption         =   "Insert none"
            Height          =   285
            Left            =   150
            TabIndex        =   4
            Top             =   645
            Width           =   2085
         End
         Begin VB.OptionButton optSpace 
            Caption         =   "Insert space"
            Height          =   315
            Left            =   150
            TabIndex        =   3
            Top             =   225
            Width           =   2235
         End
      End
   End
   Begin VB.CommandButton cmdOptimize 
      Caption         =   "&Optimize"
      BeginProperty Font 
         Name            =   "Tahoma"
         Size            =   8.25
         Charset         =   204
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   525
      Left            =   52
      TabIndex        =   0
      Top             =   3660
      Width           =   2610
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
'#####################################################################
' HTML Optimizer (c)2003 Anthony Ivanoff <a-i@bk.ru>
' You may use and disribute this code freely (if I wrote that you can't,
' you will do it anyway, don't you? :)
'#####################################################################
Const A = "Optimizer" ' I use these two constants because I'm too
Const S = "Settings"  ' lazy to type "Opt..." and "Set..." each time...
Const pre_skip_constant = "html_optimizer_skipping_constant-if_you_see_this_please_report_this_bug_to_a-i@bk.ru"
Dim the_text As String ' this variable contains the source file and
                       ' then will be used to save optimized code
Dim ff As Integer ' Of course you can simply use "1" instead of this
                  ' variable, and remove "ff = FreeFile" line
Dim repl As String ' This is the string that will replace line breaks
Dim answer As Integer ' This will contain either vbYes or vbNo and will
                      ' be used to store user's answer if he wants to
                      ' optimize another file when the current file will
                      ' be processed
Dim text_with_spaces As String ' this variable will contain
Dim start_pre_selection As Long, end_pre_selection As Long
Dim pre_array(200) As String
Dim array_count As Integer
Dim first_part_pre As String, sec_part_pre As String
Dim i As Integer

Private Sub cmdBrowse_Click()
    cdlSave.ShowSave ' If user chose to save the optimized code in
                     ' another location, let him choose where
End Sub

Private Sub cmdOptimize_Click()
    
    If Trim(Command) <> "" Then ' First of all, if a command line
        cdl.FileName = Command  ' parameter is present, let's save
        cdlSave.FileName = cdl.FileName ' this file to the same location
    Else
        cdl.ShowOpen
        If optTheSame Then cdlSave.FileName = cdl.FileName
    End If
    
    If cdl.FileName = "" Then Exit Sub
    
    If optNew And cdlSave.FileName = "" And _
        Trim(Command) = "" Then answer = MsgBox _
        ("You didn't define output file. Do you want to do it it now?", _
        vbYesNo + vbInformation, "Output file not set")
    
    If answer = vbNo Then Exit Sub
    If answer = vbYes Then cdlSave.ShowSave
    
    If cdlSave.FileName = "" Then Exit Sub
    
    ff = FreeFile
    Open cdl.FileName For Input As #ff
        the_text = Input(LOF(ff), #ff)
    Close #ff
    
    array_count = 0
    
    Do Until InStr(1, the_text, "<pre", vbTextCompare) = 0
        start_pre_selection = InStr(1, the_text, "<pre", vbTextCompare)
        end_pre_selection = InStr(1, the_text, "</pre>", vbTextCompare) + 6
        pre_array(array_count) = Mid(the_text, start_pre_selection, end_pre_selection - start_pre_selection)
        first_part_pre = Mid(the_text, 1, start_pre_selection - 1)
        sec_part_pre = Mid(the_text, end_pre_selection)
        the_text = first_part_pre & pre_skip_constant & sec_part_pre
        'MsgBox pre_array(array_count)
        array_count = array_count + 1
    Loop
    
    If optSpace Then repl = " " Else repl = ""
    If chkRemoveLineBreaks Then the_text = Replace(the_text, vbCrLf, repl)
    
    If chkRemoveTwoSpaces Then
        Do
            text_with_spaces = the_text
            the_text = Replace(the_text, "  ", " ") 'removing pair spaces
            If the_text = text_with_spaces Then Exit Do
        Loop
    End If
    
    If chkRemoveSpacesBeetweenTags Then
        Do
            text_with_spaces = the_text
            the_text = Replace(the_text, "> <", "><")
            If the_text = text_with_spaces Then Exit Do
        Loop
    End If
    
    For i = 0 To UBound(pre_array)
        the_text = Replace(the_text, pre_skip_constant, pre_array(i), , 1)
    Next i
    
    Open cdlSave.FileName For Output As #ff
        Print #ff, the_text
    Close #ff
    
    If Trim(Command) <> "" Then Unload Me
    
    answer = MsgBox("Optimization succesful. Optimize another file?", vbQuestion + vbYesNo + vbDefaultButton2)
    
    If answer = vbNo Then Unload Me
    
End Sub

Private Sub Form_Load()

    If GetSetting(A, S, "InsertSpace", 1) Then optSpace = True Else optNone = True
    If GetSetting(A, S, "ReplaceSource", 1) Then optTheSame = True Else optNew = True
    
    chkRemoveTwoSpaces = GetSetting(A, S, "Remove2Spaces", 1)
    chkRemoveSpacesBeetweenTags = GetSetting(A, S, "RemoveSpacesBeetweenTags", 1)
    chkRemoveLineBreaks = GetSetting(A, S, "RemoveLineBreaks", 1)
    
    cdl.Flags = cdlOFNFileMustExist Or cdlOFNHideReadOnly
    cdl.Filter = "HTML files (*.htm, *.html)|*.htm;*.html|CSS files (*.css)|*.css|All files (*.*)|*.*"
    
    cdlSave.Flags = cdl.Flags
    cdlSave.Filter = cdl.Filter
        
    If Trim(Command) <> "" Then cmdOptimize_Click
        
    cdlSave.FileName = ""
    cdl.FileName = ""
        
End Sub

Private Sub Form_Unload(Cancel As Integer)
    SaveSetting A, S, "InsertSpace", optSpace
    SaveSetting A, S, "ReplaceSource", optTheSame
    SaveSetting A, S, "Remove2Spaces", chkRemoveTwoSpaces
    SaveSetting A, S, "RemoveSpacesBeetweenTags", chkRemoveSpacesBeetweenTags
    SaveSetting A, S, "RemoveLineBreaks", chkRemoveLineBreaks
End Sub

Private Sub optNew_Click()
    cmdBrowse.Enabled = True
End Sub

Private Sub optTheSame_Click()
    cmdBrowse.Enabled = False
End Sub

