VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "comdlg32.ocx"
Begin VB.Form frmGetFromFile 
   Caption         =   "Get color from a picture"
   ClientHeight    =   5145
   ClientLeft      =   165
   ClientTop       =   1440
   ClientWidth     =   8910
   Icon            =   "frmGetFromFile.frx":0000
   LinkTopic       =   "Form3"
   LockControls    =   -1  'True
   ScaleHeight     =   5145
   ScaleWidth      =   8910
   StartUpPosition =   3  'Windows Default
   Begin MSComDlg.CommonDialog cdl 
      Left            =   4215
      Top             =   2325
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin VB.HScrollBar h 
      Height          =   300
      Left            =   15
      TabIndex        =   3
      Top             =   4860
      Width           =   8625
   End
   Begin VB.VScrollBar v 
      Height          =   4815
      Left            =   8640
      TabIndex        =   2
      Top             =   0
      Width           =   285
   End
   Begin VB.PictureBox picBG 
      Height          =   4860
      Left            =   0
      ScaleHeight     =   4800
      ScaleWidth      =   8580
      TabIndex        =   0
      Top             =   0
      Width           =   8640
      Begin VB.PictureBox picMain 
         BorderStyle     =   0  'None
         Height          =   4695
         Left            =   60
         ScaleHeight     =   4695
         ScaleWidth      =   8475
         TabIndex        =   1
         Top             =   60
         Width           =   8475
      End
      Begin VB.Image imgSize 
         Height          =   30
         Left            =   2745
         Top             =   210
         Visible         =   0   'False
         Width           =   15
      End
   End
   Begin VB.Label lblColor 
      Height          =   285
      Left            =   8640
      TabIndex        =   4
      Top             =   4875
      Width           =   285
   End
   Begin VB.Menu mnuOpenFile 
      Caption         =   "Open a file..."
   End
   Begin VB.Menu mnuPaste 
      Caption         =   "Paste from clipboard"
   End
   Begin VB.Menu mnuTip 
      Caption         =   "Press PrintScreen to take a screenshot, then press ""Paste from clipboard""."
      Enabled         =   0   'False
   End
   Begin VB.Menu mnuTip2 
      Caption         =   "When you move your mouse over the picture, the color under cursor is displayed in the title bar."
      Enabled         =   0   'False
   End
   Begin VB.Menu mnuTip3 
      Caption         =   "Click your mouse to select this color and close this window."
      Enabled         =   0   'False
   End
End
Attribute VB_Name = "frmGetFromFile"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim color_hex As Long

Private Sub Form_Load()
    cdl.Flags = cdlOFNFileMustExist Or cdlOFNHideReadOnly
    cdl.Filter = "Bitmaps, JPEGs and GIFs |*.bmp;*.gif;*.jpg;*.jpeg"
End Sub

Private Sub Form_Resize()
    On Error Resume Next
    picBG.Move 0, 0, ScaleWidth - 300, ScaleHeight - 300
    v.Left = Me.Width - 400
    v.Height = picBG.Height
    h.Top = picBG.Height
    h.Width = picBG.Width
    lblColor.Left = h.Width + 10
    lblColor.Top = v.Height '+ 10
    set_scrollbars
End Sub

Private Sub Form_Unload(Cancel As Integer)
    Form1.Show
End Sub

Private Sub mnuOpenFile_Click()
    On Error Resume Next
    cdl.ShowOpen
    If cdl.FileName = "" Then Exit Sub
    imgSize.Picture = LoadPicture(cdl.FileName)
    change_it
End Sub

Private Sub mnuPaste_Click()
    On Error GoTo errs
    If Clipboard.GetFormat(2) Then imgSize.Picture = Clipboard.GetData Else Exit Sub
    change_it
errs:
    Exit Sub
End Sub

Private Sub picMain_Click()
    Form1.Show
    Form1.Text1 = Me.Caption
    Form1.Label5.BackColor = color_hex
    Unload Me
End Sub

Private Sub picMain_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
    color_hex = picMain.Point(X, Y)
    Me.Caption = "#" & GetRevRGB(Hex(color_hex), "NORMAL")
    lblColor.BackColor = color_hex
End Sub

Private Sub v_Change()
    picMain.Top = -v.Value
End Sub

Private Sub h_Change()
    picMain.Left = -h.Value
End Sub

Sub change_it()
    picMain.Picture = imgSize.Picture
    picMain.Height = imgSize.Height
    picMain.Width = imgSize.Width
    picMain.Left = 0
    picMain.Top = 0
    set_scrollbars
End Sub

Sub set_scrollbars()
    v.Max = picMain.Height - v.Height
    v.LargeChange = 1000
    v.SmallChange = 500
    h.Max = picMain.Width - h.Width
    h.LargeChange = 1000
    h.SmallChange = 500
    picMain.SetFocus
End Sub
