Attribute VB_Name = "mdlFunctions"
Sub transform_to_upper_case()
    frmMain.txtMain.SelText = UCase(frmMain.txtMain.SelText)
End Sub

Sub transform_to_lower_case()
    frmMain.txtMain.SelText = LCase(frmMain.txtMain.SelText)
End Sub

Sub Insert_HTML_Template()
    
    Dim template As String
    Dim temp_var As String
    
    ff = FreeFile
    Open App.Path & "\template.html" For Input As #ff
    
    Do Until EOF(ff)
        Line Input #ff, temp_var
        template = template & temp_var & vbCrLf
    Loop
    
    Close #1
    
    add_text (template)
    
End Sub

Sub reopen()

    If frmMain.CommonDialog1.FileName = "" Then Exit Sub

    answer = MsgBox("Are you sure you want to re-open this file? All the unsaved changes will be lost!", vbExclamation + vbYesNo, "Confirm Re-Open")
    
    If answer = vbYes Then
        On Error GoTo errs
        load_necessary_file (frmMain.CommonDialog1.FileName)
    End If
    
    Exit Sub
    
errs:
    
    MsgBox "An error occured. This file cannot be re-opened.", vbCritical, "File Not Found"
    
End Sub

Sub validate_html()
    If frmMain.CommonDialog1.FileName = "" Then MsgBox _
        "Sorry, but you have to save your file first.", vbInformation: Exit Sub
    answer = MsgBox("This function requires connection to the Internet. If you don't have one, press CANCEL now." & vbCrLf & vbCrLf & "Now your file will be saved and then your browser will open a web-page where you can upload your HTML file to validate its code." & vbCrLf & vbCrLf & "Please note that author of this program is not concerned with mentioned website." & vbCrLf & vbCrLf & "The name of the file you are editing will be copied to clipboard so you could simply paste it when prompted. Press CANCEL now if you have unsaved data in the clipboard." & vbCrLf & vbCrLf & "Do you want to proceed?", vbInformation + vbOKCancel, "HTML Code validating")
    If answer = vbCancel Then Exit Sub
    
    Save_Code
    Clipboard.SetText frmMain.CommonDialog1.FileName
    ShellExecute 0&, "Open", "http://validator.w3.org/file-upload.html", vbNullString, vbNullString, 5

End Sub
