Attribute VB_Name = "mdlLoadApplication"
Public Declare Function ShellExecute Lib "shell32.dll" Alias "ShellExecuteA" (ByVal hwnd As Long, ByVal lpOperation As String, ByVal lpFile As String, ByVal lpParameters As String, ByVal lpDirectory As String, ByVal nShowCmd As Long) As Long
Public ShowAtStartup As Long 'for showing/hiding frmTip

'set splash screen topmost
Public Const HWND_TOPMOST = -1
Public Const SWP_NOMOVE = &H2
Public Const SWP_NOSIZE = &H1
Public Const FLAGS = SWP_NOMOVE Or SWP_NOSIZE
Public Declare Function SetWindowPos Lib "user32" _
(ByVal hwnd As Long, ByVal hWndInsertAfter As Long, _
ByVal X As Long, ByVal Y As Long, _
ByVal cx As Long, ByVal cy As Long, _
ByVal wFlags As Long) As Long

 Sub load_application()
    frmSplashScreen.Show
    DoEvents
    load_settings
    check_command_line
    frmMain.Show
    DoEvents
    frmSplashScreen.Hide
    frmMain.tmrAutoSave.Enabled = GetSetting("HTMLEditor", "Settings", "AutoSaveEnabled", 0)
        
    ShowAtStartup = GetSetting("HTMLEditor", "Settings", "Show Tips at Startup", 1)
    If ShowAtStartup Then frmTip.Show
    
    frmMain.text_is_changed = False
    
 End Sub

Sub check_command_line()
    On Error GoTo wrong_file
    If Command <> "" Then load_necessary_file (Command)
    Exit Sub
wrong_file:
    frmSplashScreen.Hide
    MsgBox "Error opening the file " & vbCrLf & vbCrLf & Command & vbCrLf & vbCrLf & "The file may be not a text file, or there is smth. wrong with this program :)", vbCritical
End Sub

Sub set_shortcut_text_in_menus()
    With frmMain
        .mnuInsertNbsp.Caption = .mnuInsertNbsp.Caption & vbTab & "Ctrl+Shift+N"
        .mnuFunctionsCaseTransformLowerCase.Caption = .mnuFunctionsCaseTransformLowerCase.Caption & vbTab & "Ctrl+Alt+Down Arrow"
        .mnuFunctionsCaseTransformUpperCase.Caption = .mnuFunctionsCaseTransformUpperCase.Caption & vbTab & "Ctrl+Alt+Up Arrow"
        .mnuEditPaste.Caption = .mnuEditPaste.Caption & vbTab & "Ctrl+V"
        .mnuEditCopy.Caption = .mnuEditCopy.Caption & vbTab & "Ctrl+C"
        .mnuEditCut.Caption = .mnuEditCut.Caption & vbTab & "Ctrl+X"
        .mnuEditRedo.Caption = .mnuEditRedo.Caption & vbTab & "Ctrl+Shift+Z"
        .mnuEditUndo.Caption = .mnuEditUndo.Caption & vbTab & "Ctrl+Z" ' if i do it via menu editor, shortcut doesn't work - i think because of txtMain_Keydown subroutine
        .mnuFileNewWindow.Caption = .mnuFileNewWindow.Caption & vbTab & "Ctrl+Alt+N"
    End With
End Sub

Sub load_recent_items_list()
    With frmMain
        Dim vMenu As Variant, i%
        vMenu = GetSetting("HTMLEditor", "Menu", "0", "*")
        If vMenu = "*" Then GoTo no_records
        vMenu = GetAllSettings("HTMLEditor", "Menu")
        .sep6.Visible = True
        
        For i% = LBound(vMenu, 1) To UBound(vMenu, 1)
        
            If vMenu(i%, 0) = 0 Then
                 .mnuFileRecent(0).Visible = True
            Else
                Load .mnuFileRecent(vMenu(i%, 0))
            End If
        
        .mnuFileRecent(vMenu(i%, 0)).Caption = vMenu(i%, 1)
        
        Next
no_records:
    End With
End Sub

Sub load_quick_insert_menu()
        Dim qimenu As Variant
        qimenu = GetAllSettings("HTMLEditor", "QI")
        For i = 0 To 9
            frmMain.mnuQI(qimenu(i, 0)).Caption = qimenu(i, 1)
        Next i
End Sub
