Attribute VB_Name = "mdlPreferences"
Public Const Appname = "HTMLEditor" 'obsolete
Public Const Settings = "Settings"  'obsolete
Public Const A = "HTMLEditor"
Public Const S = "Settings"

Sub apply_changes()

    frmMain.txtMain.BackColor = frmPreferences.Label5.BackColor
    
    save_settings
    '---- Fonts stuff ------
    frmMain.txtMain.Font.Bold = Val(GetSetting(A, S, "FontIsBold", 1))
    frmMain.txtMain.Font = GetSetting(A, S, "FontName", Trim("Courier New"))
    frmMain.txtMain.Font.Size = GetSetting(A, S, "FontSize", 12)
    '---- End -------------
    If Val(GetSetting(A, S, "AutoSaveEnabled", 0)) Then
        frmMain.tmrAutoSave.Enabled = True
    Else
        frmMain.tmrAutoSave.Enabled = False
    End If
    
End Sub

Sub save_settings()

    SaveSetting A, S, "IEPath", frmPreferences.Text1.Text
    SaveSetting A, S, "OperaPath", frmPreferences.Text2.Text
    SaveSetting A, S, "MurzillaPath", frmPreferences.Text3.Text
    SaveSetting A, S, "BGColor", frmPreferences.Label5.BackColor
    SaveSetting A, S, "FontIsBold", frmPreferences.chkFontBold.value
    SaveSetting A, S, "FontName", Trim(frmPreferences.cmbFont.Text)
    SaveSetting A, S, "AutoSaveEnabled", frmPreferences.chkAutosave.value
    SaveSetting A, S, "AssocWithHTML", frmPreferences.chkAssocWithHTML.value
    SaveSetting A, S, "AssocWithTXT", frmPreferences.chkAssocWithTxt.value
    SaveSetting A, S, "Show Tips at Startup", frmPreferences.chkLoadTipsAtStartup.value
    SaveSetting A, S, "MaximizeOnStartup", frmPreferences.chkMaximizeOnStartup.value
    SaveSetting A, S, "InitialDirectory", frmPreferences.txtInitDir
    SaveSetting A, S, "LoadTemplateOnStartUp", frmPreferences.chkLoadTemplate.value
    SaveSetting A, S, "ExitOnEsc", frmPreferences.chkExitOnEsc
    
    If Val(frmPreferences.txtFontSize) > 2000 Then
        MsgBox "Don't you think you entered too big value as your font size? I suggest ""12""", vbQuestion
        frmPreferences.txtFontSize = "12"
    ElseIf Val(frmPreferences.txtFontSize) < 1 Then
        MsgBox "I'm happy that you can read such a small text, but I can't display it! Let's set the font size to 12, OK?", vbQuestion
        frmPreferences.txtFontSize = "12"
    Else
        SaveSetting A, S, "FontSize", frmPreferences.txtFontSize
    End If
    
End Sub

Sub load_settings()

    frmPreferences.Text1.Text = GetSetting(A, S, "IEPath", "C:\Program Files\Internet Explorer\iexplore.exe")
    frmPreferences.Text2.Text = GetSetting(A, S, "OperaPath", "C:\Program Files\Opera7\opera.exe")
    frmPreferences.Text3.Text = GetSetting(A, S, "MurzillaPath", "C:\Program Files\mozilla.org\Mozilla\mozilla.exe")
    frmPreferences.Label5.BackColor = GetSetting(A, S, "BGColor", 14671839)
    frmPreferences.chkFontBold.value = Val(GetSetting(A, S, "FontIsBold", 1))
    frmMain.txtMain.Font.Bold = Val(GetSetting(A, S, "FontIsBold", 1))
    frmMain.txtMain.Font = GetSetting(A, S, "FontName", Trim("Courier New"))
    frmPreferences.chkAutosave.value = GetSetting(A, S, "AutoSaveEnabled", vbUnchecked)
    frmPreferences.chkAssocWithHTML.value = GetSetting(A, S, "AssocWithHTML", vbUnchecked)
    frmPreferences.chkAssocWithTxt.value = GetSetting(A, S, "AssocWithTXT", vbUnchecked)
    frmPreferences.chkLoadTipsAtStartup = GetSetting(A, S, "Show Tips at Startup", 1)
    frmPreferences.chkMaximizeOnStartup.value = GetSetting(A, S, "MaximizeOnStartup", 0)
    frmPreferences.txtInitDir = GetSetting(A, S, "InitialDirectory")
    frmPreferences.chkLoadTemplate.value = GetSetting(A, S, "LoadTemplateOnStartUp", 0)
    frmPreferences.txtFontSize = GetSetting(A, S, "FontSize", 12)
    frmPreferences.chkExitOnEsc = GetSetting(A, S, "ExitOnEsc", 0)
    
    apply_changes
    
End Sub
