VERSION 5.00
Begin VB.Form form1 
   BorderStyle     =   0  'None
   ClientHeight    =   645
   ClientLeft      =   7440
   ClientTop       =   7815
   ClientWidth     =   4320
   ControlBox      =   0   'False
   Icon            =   "Form1.frx":0000
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   645
   ScaleWidth      =   4320
   ShowInTaskbar   =   0   'False
   Begin VB.Image imgExit 
      Height          =   480
      Left            =   3570
      Picture         =   "Form1.frx":08CA
      ToolTipText     =   "Exit the Launcher."
      Top             =   75
      Width           =   480
   End
   Begin VB.Image imgCharmap 
      Height          =   480
      Left            =   3010
      Picture         =   "Form1.frx":150C
      ToolTipText     =   "Contains the escape sequences used for displaying various special symbols on your webpage."
      Top             =   75
      Width           =   480
   End
   Begin VB.Image imgHtmlcnst 
      Height          =   480
      Left            =   1896
      Picture         =   "Form1.frx":1DD6
      ToolTipText     =   "Contains a lot of various snippets to use on your webpage."
      Top             =   75
      Width           =   480
   End
   Begin VB.Image imgHoptmzr 
      Height          =   480
      Left            =   2453
      Picture         =   "Form1.frx":20E0
      ToolTipText     =   "Decreases the size of your .html and .css files."
      Top             =   75
      Width           =   480
   End
   Begin VB.Image imgCssmaker 
      Height          =   480
      Left            =   1339
      Picture         =   "Form1.frx":29AA
      ToolTipText     =   "Creates cascaded style sheets."
      Top             =   75
      Width           =   480
   End
   Begin VB.Image imgHtmlcolr 
      Height          =   480
      Left            =   782
      Picture         =   "Form1.frx":2CB4
      ToolTipText     =   "Converts a color selected by you into the format needed for webpages."
      Top             =   75
      Width           =   480
   End
   Begin VB.Image imgHeditor 
      Height          =   480
      Left            =   225
      Picture         =   "Form1.frx":2FBE
      ToolTipText     =   "Creates and edits your text and HTML files, converts them to another charset, and so on."
      Top             =   75
      Width           =   480
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim IfMove As Boolean
Dim X1 As Integer
Dim Y1 As Integer
Dim Rgn2 As Long


Private Declare Function CreateRoundRectRgn Lib "gdi32" _
(ByVal X1 As Long, ByVal Y1 As Long, ByVal X2 As Long, _
ByVal Y2 As Long, ByVal X3 As Long, ByVal Y3 As Long) As Long

Private Declare Function SetWindowRgn Lib "user32" (ByVal hwnd _
As Long, ByVal hRgn As Long, ByVal bRedraw As Boolean) As Long

Const HWND_TOPMOST = -1
Const SWP_NOSIZE = &H1
Const FLAGS = SWP_NOSIZE
Const HWND_NOTOPMOST = -2

Private Declare Function SetWindowPos Lib "user32" _
(ByVal hwnd As Long, ByVal hWndInsertAfter As Long, _
ByVal X As Long, ByVal Y As Long, _
ByVal cx As Long, ByVal cy As Long, _
ByVal wFlags As Long) As Long

Private Sub Form_DblClick()

temp_left = Me.Left
temp_top = Me.Top
    
If GetSetting("Launcher", "WindowPos", "AlwaysOnTop", 1) = 1 Then
    Call SetWindowPos(Me.hwnd, HWND_NOTOPMOST, 0, 0, 0, 0, FLAGS): SaveSetting "Launcher", "WindowPos", "AlwaysOnTop", "0"
Else
    Call SetWindowPos(Me.hwnd, HWND_TOPMOST, 0, 0, 0, 0, FLAGS): SaveSetting "Launcher", "WindowPos", "AlwaysOnTop", "1"
End If

Me.Left = temp_left
Me.Top = temp_top

End Sub

Private Sub Form_Load()

Rgn2 = CreateRoundRectRgn(0, 0, Width / Screen.TwipsPerPixelX, _
Height / Screen.TwipsPerPixelY, 10, 10)

Call SetWindowRgn(hwnd, Rgn2, True)

If GetSetting("Launcher", "WindowPos", "AlwaysOnTop", 1) = 1 Then Call SetWindowPos(Me.hwnd, HWND_TOPMOST, 0, 0, 0, 0, FLAGS)

If GetSetting("Launcher", "WindowPos", "Left", 5326) <> 5326 Then Me.Left = GetSetting("Launcher", "WindowPos", "Left", 0) ' 5326 is sample :) - may be any other number
If GetSetting("Launcher", "WindowPos", "Top", 5326) <> 5326 Then Me.Top = GetSetting("Launcher", "WindowPos", "Top", 0) ' 5326 is sample :) - may be any other number

End Sub

Private Sub Form_MouseDown(Button As Integer, Shift _
 As Integer, X As Single, Y As Single)
  IfMove = True
  X1 = X
  Y1 = Y
 End Sub

Private Sub Form_MouseUp(Button As Integer, Shift As _
 Integer, X As Single, Y As Single)
     IfMove = False
End Sub

Private Sub Form_MouseMove(Button As Integer, Shift As _
  Integer, X As Single, Y As Single)
  If IfMove Then
  Move Left + X - X1, Top + Y - Y1
  End If
  
End Sub

Sub run(prog As String)
Call Shell(App.Path & "\" & prog & ".exe", vbNormalFocus)
End Sub

Private Sub Form_Unload(Cancel As Integer)
    SaveSetting "Launcher", "WindowPos", "Left", Me.Left
    SaveSetting "Launcher", "WindowPos", "Top", Me.Top
End Sub

Private Sub imgCharmap_Click()
    On Error Resume Next
    run ("charmap")
End Sub

Private Sub imgCssmaker_Click()
    On Error Resume Next
    run ("cssmaker")
End Sub

Private Sub imgExit_Click()
    Unload Me
End Sub

Private Sub imgHeditor_Click()
    On Error Resume Next
    run ("heditor")
End Sub

Private Sub imgHoptmzr_Click()
    On Error Resume Next
    run ("hoptmzr")
End Sub

Private Sub imgHtmlcnst_Click()
    On Error Resume Next
    run ("htmlcnst")
End Sub

Private Sub imgHtmlcolr_Click()
    On Error Resume Next
    run ("htmlcolr")
End Sub
